# Class SwiftAccountPayload

#### Hierarchy

- unknown
  - SwiftAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5251
- Defined in src/protobuf/pb_pb.d.ts:5308

#####
Index

### Constructors

constructor

### Methods

getBankAddress
getBankBranch
getBankCountryCode
getBankName
getBankSwiftCode
getBeneficiaryAccountNr
getBeneficiaryAddress
getBeneficiaryCity
getBeneficiaryName
getBeneficiaryPhone
getIntermediaryAddress
getIntermediaryBranch
getIntermediaryCountryCode
getIntermediaryName
getIntermediarySwiftCode
getSpecialInstructions
serializeBinary
setBankAddress
setBankBranch
setBankCountryCode
setBankName
setBankSwiftCode
setBeneficiaryAccountNr
setBeneficiaryAddress
setBeneficiaryCity
setBeneficiaryName
setBeneficiaryPhone
setIntermediaryAddress
setIntermediaryBranch
setIntermediaryCountryCode
setIntermediaryName
setIntermediarySwiftCode
setSpecialInstructions
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SwiftAccountPayload(): SwiftAccountPayload

- #### Returns SwiftAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getBankAddress

- getBankAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5282

### getBankBranch

- getBankBranch(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5279

### getBankCountryCode

- getBankCountryCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5273

### getBankName

- getBankName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5276

### getBankSwiftCode

- getBankSwiftCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5270

### getBeneficiaryAccountNr

- getBeneficiaryAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5255

### getBeneficiaryAddress

- getBeneficiaryAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5258

### getBeneficiaryCity

- getBeneficiaryCity(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5261

### getBeneficiaryName

- getBeneficiaryName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5252

### getBeneficiaryPhone

- getBeneficiaryPhone(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5264

### getIntermediaryAddress

- getIntermediaryAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5297

### getIntermediaryBranch

- getIntermediaryBranch(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5294

### getIntermediaryCountryCode

- getIntermediaryCountryCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5288

### getIntermediaryName

- getIntermediaryName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5291

### getIntermediarySwiftCode

- getIntermediarySwiftCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5285

### getSpecialInstructions

- getSpecialInstructions(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5267

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5300

### setBankAddress

- setBankAddress(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5283

### setBankBranch

- setBankBranch(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5280

### setBankCountryCode

- setBankCountryCode(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5274

### setBankName

- setBankName(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5277

### setBankSwiftCode

- setBankSwiftCode(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5271

### setBeneficiaryAccountNr

- setBeneficiaryAccountNr(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5256

### setBeneficiaryAddress

- setBeneficiaryAddress(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5259

### setBeneficiaryCity

- setBeneficiaryCity(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5262

### setBeneficiaryName

- setBeneficiaryName(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5253

### setBeneficiaryPhone

- setBeneficiaryPhone(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5265

### setIntermediaryAddress

- setIntermediaryAddress(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5298

### setIntermediaryBranch

- setIntermediaryBranch(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5295

### setIntermediaryCountryCode

- setIntermediaryCountryCode(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5289

### setIntermediaryName

- setIntermediaryName(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5292

### setIntermediarySwiftCode

- setIntermediarySwiftCode(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5286

### setSpecialInstructions

- setSpecialInstructions(value: string): SwiftAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5268

### toObject

- toObject(includeInstance?: boolean): SwiftAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SwiftAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5301

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SwiftAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5304

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SwiftAccountPayload, reader: BinaryReader): SwiftAccountPayload

- #### Parameters

  - ##### message: SwiftAccountPayload

  - ##### reader: BinaryReader

  #### Returns SwiftAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5305

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SwiftAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SwiftAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5303

### `Static` toObject

- toObject(includeInstance: boolean, msg: SwiftAccountPayload): SwiftAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SwiftAccountPayload

  #### Returns SwiftAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5302

Generated using TypeDoc